Project

General

Profile

Bug #4464

[project] ошибки сборки проекта в Eclipse

Added by Sergey Smolov about 7 years ago. Updated over 6 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Andrei Tatarnikov
Category:
-
Target version:
-
Start date:
09/11/2013
Due date:
% Done:

100%

Estimated time:
Detected in build:
svn
Platform:
Published in build:
20140320

Description

Проект не собирается в Eclipse 3.7. Причина, скорее всего, в некорректном .classpath.

Ошибок две:

1) Отсутствие директории output (и из ant-овского скрипта сборки - build.xml - не удается понять, по какому поводу она создается).
Необходимо либо реализовать автоматическую генерацию данной директории вместе с необходимым содержимым, либо убрать её из .classpath.

2) Использование устаревшей (deprecated) переменной JRE_LIB. Необходимо заменить на переменную, указывающую на "JRE по умолчанию" (вероятно, на такую: org.eclipse.jdt.launching.JRE_CONTAINER)

Мелочи:

1) .classpath содержит относительный путь к библиотеке jsolverapi.jar. Либо заменить на корректный, либо вообще отказаться от размещения служебных файлов Eclipse в svn.

2) Лог сборки содержит следующее предупреждение:

[javac] Note: Some input files use or override a deprecated API.
[javac] Note: Recompile with -Xlint:deprecation for details.

Необходимо разобраться с ним и устранить.

History

#1

Updated by Andrei Tatarnikov almost 7 years ago

  • Status changed from New to Open
  • % Done changed from 0 to 30

1) Отсутствие директории output (и из ant-овского скрипта сборки - build.xml - не удается понять, по какому поводу она создается).

Исправлено. Папка output добавлена в репозиторий. r1570

1) .classpath содержит относительный путь к библиотеке jsolverapi.jar. Либо заменить на корректный, либо вообще отказаться от размещения служебных файлов Eclipse в svn.

Исправлено в r1571. Путь к папке с исходниками удалён из .classpath.

#2

Updated by Andrei Tatarnikov almost 7 years ago

2) Использование устаревшей (deprecated) переменной JRE_LIB. Необходимо заменить на переменную, указывающую на "JRE по умолчанию" (вероятно, на такую: org.eclipse.jdt.launching.JRE_CONTAINER)

Сделал в r1574. Надеюсь, помогло.

#3

Updated by Alexander Kamkin almost 7 years ago

  • Subject changed from ошибки сборки проекта в Eclipse to [project] ошибки сборки проекта в Eclipse
#4

Updated by Andrei Tatarnikov almost 7 years ago

  • Status changed from Open to Resolved
  • % Done changed from 30 to 100

2) Лог сборки содержит следующее предупреждение:

[javac] Note: Some input files use or override a deprecated API.
[javac] Note: Recompile with -Xlint:deprecation for details.

В r1596 в сборке включена опция java "deprecation". Warning-ов стало ещё больше и они теперь подробные. Причина: некоторые классы действительно были помечены мной атрибутом @Deprecated (устаревшая реализация). Я от них позже избавлюсь. Сейчас пока пусть эти ошибки будут как напоминание, они ни на что не влияют.

#5

Updated by Sergey Smolov almost 7 years ago

  • Status changed from Resolved to Verified
#6

Updated by Alexander Kamkin over 6 years ago

  • Status changed from Verified to Closed
  • Published in build set to 20140320

Also available in: Atom PDF